org.wildfly.swarm.config.elytron

## Class ConcatenatingPrincipalDecoder<T extends ConcatenatingPrincipalDecoder<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.ConcatenatingPrincipalDecoder<T>

-     public class ConcatenatingPrincipalDecoder<T extends ConcatenatingPrincipalDecoder<T>>
      extends Object

  A principal decoder definition where the principal decoder is a concatenation of other principal decoders.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConcatenatingPrincipalDecoder(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `joiner()` The string to use to join the results of the referenced principal decoders.
    `T` | `joiner(String value)` The string to use to join the results of the referenced principal decoders.
    `T` | `principalDecoder(String value)` The referenced principal decoders to concatenate.
    `List<String>` | `principalDecoders()` The referenced principal decoders to concatenate.
    `T` | `principalDecoders(List<String> value)` The referenced principal decoders to concatenate.
    `T` | `principalDecoders(String... args)` The referenced principal decoders to concatenate.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConcatenatingPrincipalDecoder

          public ConcatenatingPrincipalDecoder(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### joiner

          public String joiner()

      The string to use to join the results of the referenced principal decoders.

    - #### joiner

          public T joiner(String value)

      The string to use to join the results of the referenced principal decoders.

    - #### principalDecoders

          public List<String> principalDecoders()

      The referenced principal decoders to concatenate.

    - #### principalDecoders

          public T principalDecoders(List<String> value)

      The referenced principal decoders to concatenate.

    - #### principalDecoder

          public T principalDecoder(String value)

      The referenced principal decoders to concatenate.

    - #### principalDecoders

          public T principalDecoders(String... args)

      The referenced principal decoders to concatenate.

Copyright © 2018 JBoss by Red Hat. All rights reserved.